zenilib: CollectAttribsUniforms Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
CollectAttribsUniforms Class Reference

`#include <VariableInfo.h>`

Inherits TIntermTraverser.

## Public Member Functions

| CollectAttribsUniforms (TVariableInfoList &attribs, TVariableInfoList &uniforms, ShHashFunction64 hashFunction)
virtual bool | visitAggregate (Visit, TIntermAggregate *)
virtual bool | visitBinary (Visit, TIntermBinary *)
virtual bool | visitBranch (Visit, TIntermBranch *)
virtual void | visitConstantUnion (TIntermConstantUnion *)
virtual bool | visitLoop (Visit, TIntermLoop *)
virtual bool | visitSelection (Visit, TIntermSelection *)
virtual void | visitSymbol (TIntermSymbol *)
virtual bool | visitUnary (Visit, TIntermUnary *)
Public Member Functions inherited from TIntermTraverser
| TIntermTraverser (bool preVisit=true, bool inVisit=false, bool postVisit=false, bool rightToLeft=false)
virtual | ~TIntermTraverser ()
void | decrementDepth ()
int | getMaxDepth () const
void | incrementDepth ()
| POOL_ALLOCATOR_NEW_DELETE ()

## Additional Inherited Members

Static Public Member Functions inherited from TIntermTraverser
static TString | hash (const TString &name, ShHashFunction64 hashFunction)
Public Attributes inherited from TIntermTraverser
const bool | inVisit
const bool | postVisit
const bool | preVisit
const bool | rightToLeft
Protected Attributes inherited from TIntermTraverser
int | depth
int | maxDepth

## Detailed Description

Definition at line 27 of file VariableInfo.h.

## Constructor & Destructor Documentation

CollectAttribsUniforms::CollectAttribsUniforms | ( | TVariableInfoList & | attribs,
|  | TVariableInfoList & | uniforms,
|  | ShHashFunction64 | hashFunction
| ) |  |

Definition at line 156 of file VariableInfo.cpp.

## Member Function Documentation

bool CollectAttribsUniforms::visitAggregate | ( | Visit | ,
|  | TIntermAggregate * | node
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 189 of file VariableInfo.cpp.

References ASSERT, EOpDeclaration, EOpSequence, EvqAttribute, EvqUniform, TIntermSymbol::getAsSymbolNode(), TIntermOperator::getOp(), TIntermSymbol::getOriginalSymbol(), TIntermAggregate::getSequence(), TIntermSymbol::getSymbol(), TIntermTyped::getType(), getVariableInfo(), TIntermTraverser::hash(), i, and NULL.

bool CollectAttribsUniforms::visitBinary | ( | Visit | ,
|  | TIntermBinary * |
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 174 of file VariableInfo.cpp.

bool CollectAttribsUniforms::visitBranch | ( | Visit | ,
|  | TIntermBranch * |
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 241 of file VariableInfo.cpp.

void CollectAttribsUniforms::visitConstantUnion | ( | TIntermConstantUnion * |  | ) |

virtual

Reimplemented from TIntermTraverser.

Definition at line 170 of file VariableInfo.cpp.

bool CollectAttribsUniforms::visitLoop | ( | Visit | ,
|  | TIntermLoop * |
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 236 of file VariableInfo.cpp.

bool CollectAttribsUniforms::visitSelection | ( | Visit | ,
|  | TIntermSelection * |
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 184 of file VariableInfo.cpp.

void CollectAttribsUniforms::visitSymbol | ( | TIntermSymbol * |  | ) |

virtual

Reimplemented from TIntermTraverser.

Definition at line 166 of file VariableInfo.cpp.

bool CollectAttribsUniforms::visitUnary | ( | Visit | ,
|  | TIntermUnary * |
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 179 of file VariableInfo.cpp.

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/VariableInfo.h
- zenilib/jni/external/angle/src/compiler/VariableInfo.cpp